Bug 469193 - Remove ThinkPad from dock; re-dock => no USB devices work from dock
Remove ThinkPad from dock; re-dock => no USB devices work from dock
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
11
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-30 10:57 EDT by Andrew Overholt
Modified: 2010-06-28 06:47 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 06:47:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andrew Overholt 2008-10-30 10:57:46 EDT
Description of problem:
I usually use my ThinkPad x61 plugged into its dock.  If I take it away from my desk and come back, after re-docking my USB keyboard and mouse no longer function and I have to move the USB plug to the laptop instead of the dock hub.

Version-Release number of selected component (if applicable):
kernel-2.6.25.14-108.fc9.x86_64

How reproducible:
Always

Steps to Reproduce:
1. Boot with laptop in dock and use USB keyboard and mouse
2. Remove laptop from dock
3. Re-dock laptop
  
Actual results:
No power (or at least no lights) on keyboard/mouse

Expected results:
Devices plugged into the dock continue to function after a re-dock.

Additional info:
Comment 1 Andrew Overholt 2008-10-30 11:00:45 EDT
My laptop:

http://www.smolts.org/show?uuid=pub_e3f57b99-cd86-4253-bc26-4427d1b2a226

My dock:

Lenovo X6 UltraBase P/N:  42W4635

I think it's this:

http://www.getpartsonline.com/40y8116.html
Comment 2 Andrew Overholt 2008-10-30 11:07:58 EDT
If I boot with the machine off the dock and then dock, it's fine.  Subsequent removals and re-docks have the same problem as initially booting with it in the dock.

I can attach logs or something, just let me know.
Comment 3 Nick Boldt 2008-11-06 11:38:46 EST
Same behaviour for me on my X200 [0], with 2.6.27.4-68.fc10.i686 (Fedora-10-snap-3-i686-Live-XFCE [1] with latest updates).

Steps to reproduce:

1. Boot machine with USB/VGA KVM [2] plugged into dock's VGA & USB ports. USB mouse and keyboard work.
2. Switch to another KVM port, then switch back.
3. VGA works but USB is unresponsive. 
4. Plug KVM's USB end into laptop's USB port, and keyboard/mouse work again.

[0] http://www.cdw.ca/shop/products/default.aspx?EDC=1550374
[1] http://spins.fedoraproject.org/torrents//Fedora-10-Snap3-i686-Live-XFCE.torrent
[2] http://www.tigerdirect.ca/applications/SearchTools/item-details.asp?EdpNo=3970963&CatId=598, http://www.kinamax.com/product/Item/KVM-USB4.htm
Comment 4 Bug Zapper 2009-06-09 23:07:18 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Andrew Overholt 2009-06-10 10:52:17 EDT
This still happens for me with F-11.
Comment 6 Rick Allen 2009-06-10 16:25:45 EDT
Same behavior w/X61 on FC10.
Comment 7 Rick Allen 2009-06-11 11:12:25 EDT
I'm retracting comment #6, the problem was due to user error. 

I was not pressing the undock button prior to removing the X61 from the X6 Ultrabase. I repeated the test with following procedure:

1 - Press undock button (vertical button on right side behind undock lever)
2 - Wait for red warning circle to dim and green triangle to light up
3 - Remove x61 using undock lever

Re-docking after this procedure I'm able to use ultrabase attached USB devices.
Comment 8 Andrew Overholt 2009-06-15 12:00:24 EDT
Thanks, Rick.  It was evidently PEBKAC in my case, too :)
Comment 9 Bug Zapper 2010-04-27 08:18:17 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Bug Zapper 2010-06-28 06:47:14 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.